#ifndef _ACOBJ_H_
#define _ACOBJ_H_ 1

#include <plib/ssg.h>
#include <GL/glut.h>

#include "timer.h"

class ACObject {
	public:
		ACObject( ssgRoot *scene, char *obj );
		virtual ~ACObject();
		void set_position( double x, double y, double z, double a );
		void set_position( double x, double y, double z );
		void get_position( double *x, double *y, double *z );
		virtual void update_position( double vx=0, double vy=0, double vz=0 );

	private:
		ssgTransform *ac ;
		sgCoord ac_obj_pos;
		double _x,_y,_z, _a1, _a2;
		Timer *timer;
};


#endif /* _ACOBJ_H_ */
