#ifndef _CAR_H_
#define _CAR_H_ 1

#define ro  1.1
#include <sys/time.h>

class Car {
	public:
	  Car(double weight=800 /*kg*/, double max_v=150, double Faccel=1600, double Fdecel=-2300, double max_P=100 /*kW*/);
	  ~Car();


//  ----> Fp, engine power
//  <---- Ft, air resistance
//
//  Ft=0.5*C*S*ro*v^2
//   a=(Fp-Ft)/a
//  ___
//_/___\_		
//-o---o--
		double get_accel( double Fp );
		double accelerate();
		double deccelerate();
		double get_velocity();
		double get_time();
	private:
		double m;
		double v;
		double a;
		double ds;
		struct timeval timer;
		double max_v;
		double C,S,max_P;
		double t;
		double Fa,Fd;
		
};

#endif /* _CAR_H_ */
