
#include <stdio.h>
#include <stdlib.h>

#include <stdio.h>
#include <stdlib.h>
#include "timer.h"

Timer::Timer(int speed_mult)
{
				actual_speed_up=speed_mult;
				gettimeofday(&tv,NULL);			
}

Timer::~Timer() { }

double Timer::get_speedup()
{
				return actual_speed_up;
}

double Timer::convert_tv_to_t(struct timeval tv)
{
	double t    =(double)tv.tv_sec     + (double)tv.tv_usec/1e6;
	return t;
}

double Timer::get_game_time_delta()
{
	double t    =convert_tv_to_t(tv);
	double t_now=get_game_time();				
	double dt=t-t_now;		
	struct timeval tv_now;
	gettimeofday(&tv_now,NULL);			
	tv=tv_now;
	return dt;
}

double Timer::get_game_time()
{
	struct timeval tv_now;
	gettimeofday(&tv_now,NULL);			
	double t_now=convert_tv_to_t(tv_now);
	return t_now;
}
