#ifndef _TIMER_H_
#define _TIMER_H_ 1

#include <sys/time.h>
#include <time.h>

/* This should be the singleton object */

class Timer {
	public:
		Timer(int speed_mult=1);
		~Timer();
		double get_game_time();
		double get_game_time_delta();
		double convert_tv_to_t(struct timeval tv);
		double get_speedup();
	private:
		struct timeval tv;
		int actual_speed_up;
		
};

#endif /* _TIME_H_ */
