
#include <stdio.h>
#include <stdlib.h>

#include <stdio.h>
#include <stdlib.h>
#include "world.h"

World::World( ssgRoot *scene, char *map )
{
	char buf;
	int i=1,j=0;
	FILE *fp=fopen(map,"r");

	if(!fp) {
		fprintf(stderr, "World::World([map=%s]): Cannot open map file!\n", map );
		exit(EXIT_FAILURE);
	}	

	for(;;i++){
		size_t nread = fread(&buf,sizeof(char),1,fp);
		if(!nread) break;
		if(buf=='\n'){i=0;j++;}
		switch (buf) {
			case 'x':
			case 'X':
				world.push_back( new ACObject( scene, "cross.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 0 );
				break;
			case '-':
			case '=':	
				world.push_back( new ACObject( scene, "road.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 90 );
				break;	
			case '|':
				world.push_back( new ACObject( scene, "road.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 0 );
				break;
			case 'G':
				world.push_back( new ACObject( scene, "ground.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 0 );
				break;
			case 'T':
				world.push_back( new ACObject( scene, "groundtree.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 0 );
				break;
			case 'B':
				world.push_back( new ACObject( scene, "ground_adminb.ac" ) );
				world.back()->set_position( -j*DY, i*DX, -100, 0 );
				break;
		}
	}	
	

	fclose(fp);
}

World::~World() { }
